Subject: bug#75090: [bug#75426] [PATCH] docker: Build tarballs reproducibly.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 31 Jan 2025 17:12:47 +0100

Hi,

Simon Josefsson <[email-masked]> skribis:

> Hi!  I suspect something went wrong with this patch, now 'guix pack'
> fail and give the error below.  Maybe the 'cf' has to come first?
>
> https://gitlab.com/debdistutils/guix/container/-/jobs/8988707317

> tar: You must specify one of the '-Acdtrux', '--delete' or '--test-label' options
> Try 'tar --help' or 'tar --usage' for more information.

Hmm I don’t see this message in the GitLab log above, and I cannot
reproduce the problem:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix pack -f docker sed
/gnu/store/h2hdp469v3014b82qsvz5fkw00sfxdgh-sed-docker-pack.tar.gz
$ git log |head -3
commit 97fb1887ad10000c067168176c504274e29e4430
Author: Ashish SHUKLA <[email-masked]>
Date:   Mon Jan 20 21:46:10 2025 +0000
--8<---------------cut here---------------end--------------->8---

Could you try to come up with a command and commit that reproduces it?

Thanks,
Ludo’.